"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.containsTrailingComma = void 0;
const array_1 = require("../augments/array");
function containsTrailingComma(arrayExpression, originalLines, debug) {
    const lastElement = arrayExpression.elements[arrayExpression.elements.length - 1];
    if (lastElement) {
        const startLocation = lastElement.loc?.end;
        if (!startLocation) {
            return false;
        }
        const endLocation = arrayExpression.loc?.end;
        if (!endLocation) {
            return false;
        }
        let textPastLastElement = (0, array_1.extractTextBetweenRanges)(originalLines, {
            start: {
                column: startLocation.column - 1,
                line: startLocation.line - 1,
            },
            end: {
                column: endLocation.column - 1,
                line: endLocation.line - 1,
            },
        });
        if (textPastLastElement.includes(',')) {
            return true;
        }
    }
    return false;
}
exports.containsTrailingComma = containsTrailingComma;
